### GET /api/v3/addressInformation Source: https://toncenter.com/api/v3/doc.json Get smart contract information. ```markdown ### Parameters - **address** (string, query, required): Account address in any form. - **use_v2** (string, query, optional): Use method from api/v2. Not recommended ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/addressInformation?address=value&use_v2=value" ``` ``` -------------------------------- ### GET /api/v3/jetton/masters Source: https://toncenter.com/api/v3/doc.json Get Jetton masters by specified filters ```markdown ### Parameters - **address** (string, query, optional): Jetton Master address in any form. Max: 1024. - **admin_address** (string, query, optional): Address of Jetton Master's admin in any form. Max: 1024. - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/jetton/masters?address=value&admin_address=value&limit=value&offset=value" ``` ``` -------------------------------- ### GET /api/v3/jetton/wallets Source: https://toncenter.com/api/v3/doc.json Get Jetton wallets by specified filters ```markdown ### Parameters - **address** (string, query, optional): Jetton wallet address in any form. Max: 1000. - **owner_address** (string, query, optional): Address of Jetton wallet's owner in any form. Max: 1000. - **jetton_address** (string, query, optional): Jetton Master in any form. - **exclude_zero_balance** (string, query, optional): Exclude jetton wallets with 0 balance. - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. - **sort** (string, query, optional): Sort jetton wallets by balance. **Warning:** results may be inconsistent during the read with limit and offset. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/jetton/wallets?address=value&owner_address=value&jetton_address=value&exclude_zero_balance=value&limit=value&offset=value&sort=value" ``` ``` -------------------------------- ### GET /api/v3/actions Source: https://toncenter.com/api/v3/doc.json Get actions by specified filter. ```markdown ### Parameters - **account** (string, query, optional): List of account addresses to get actions. Can be sent in hex, base64 or base64url form. - **tx_hash** (string, query, optional): Find actions by transaction hash. - **msg_hash** (string, query, optional): Find actions by message hash. - **action_id** (string, query, optional): Find actions by the action_id. - **trace_id** (string, query, optional): Find actions by the trace_id. - **mc_seqno** (string, query, optional): Query actions of traces which was completed in masterchain block with given seqno - **start_utime** (string, query, optional): Query actions for traces with `trace_end_utime >= start_utime`. - **end_utime** (string, query, optional): Query actions for traces with `trace_end_utime <= end_utime`. - **start_lt** (string, query, optional): Query actions for traces with `trace_end_lt >= start_lt`. - **end_lt** (string, query, optional): Query actions for traces with `trace_end_lt <= end_lt`. - **action_type** (string, query, optional): Include action types. - **exclude_action_type** (string, query, optional): Exclude action types. - **supported_action_types** (string, query, optional): Supported action types - **include_accounts** (string, query, optional): Include accounts array for each action in response. - **include_transactions** (string, query, optional): Include `transactions_full` array with detailed transaction data for each action in response. - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. - **sort** (string, query, optional): Sort actions by lt. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/actions?account=value&tx_hash=value&msg_hash=value&action_id=value&trace_id=value&mc_seqno=value&start_utime=value&end_utime=value&start_lt=value&end_lt=value&action_type=value&exclude_action_type=value&supported_action_types=value&include_accounts=value&include_transactions=value&limit=value&offset=value&sort=value" ``` ``` -------------------------------- ### GET /api/v3/traces Source: https://toncenter.com/api/v3/doc.json Get traces by specified filter. ```markdown ### Parameters - **account** (string, query, optional): List of account addresses to get transactions. Can be sent in hex, base64 or base64url form. - **trace_id** (string, query, optional): Find trace by trace id. - **tx_hash** (string, query, optional): Find trace by transaction hash. - **msg_hash** (string, query, optional): Find trace by message hash. - **mc_seqno** (string, query, optional): Query traces that was completed in masterchain block with given seqno - **start_utime** (string, query, optional): Query traces, which was finished **after** given timestamp. - **end_utime** (string, query, optional): Query traces, which was finished **before** given timestamp. - **start_lt** (string, query, optional): Query traces with `end_lt >= start_lt`. - **end_lt** (string, query, optional): Query traces with `end_lt <= end_lt`. - **include_actions** (string, query, optional): Include trace actions. - **supported_action_types** (string, query, optional): Supported action types - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. - **sort** (string, query, optional): Sort traces by lt. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/traces?account=value&trace_id=value&tx_hash=value&msg_hash=value&mc_seqno=value&start_utime=value&end_utime=value&start_lt=value&end_lt=value&include_actions=value&supported_action_types=value&limit=value&offset=value&sort=value" ``` ``` -------------------------------- ### GET /api/v3/masterchainInfo Source: https://toncenter.com/api/v3/doc.json Get first and last indexed block ```markdown ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/masterchainInfo" ``` ``` -------------------------------- ### GET /api/v3/pendingTraces Source: https://toncenter.com/api/v3/doc.json Get traces by specified filter. ```markdown ### Parameters - **account** (string, query, optional): List of account addresses to get transactions. Can be sent in hex, base64 or base64url form. - **ext_msg_hash** (string, query, optional): Find trace by external hash ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/pendingTraces?account=value&ext_msg_hash=value" ``` ``` -------------------------------- ### GET /api/v3/pendingActions Source: https://toncenter.com/api/v3/doc.json Get actions by specified filter. ```markdown ### Parameters - **account** (string, query, optional): List of account addresses to get actions. Can be sent in hex, base64 or base64url form. - **ext_msg_hash** (string, query, optional): Find actions by trace external hash - **supported_action_types** (string, query, optional): Supported action types - **include_transactions** (string, query, optional): Include `transactions_full` array with detailed transaction data for each action in response. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/pendingActions?account=value&ext_msg_hash=value&supported_action_types=value&include_transactions=value" ``` ``` -------------------------------- ### GET /api/v3/jetton/transfers Source: https://toncenter.com/api/v3/doc.json Get Jetton transfers by specified filters ```markdown ### Parameters - **owner_address** (string, query, optional): Address of jetton wallet owner in any form. Max 1000 - **jetton_wallet** (string, query, optional): Jetton wallet address in any form. Max: 1000. - **jetton_master** (string, query, optional): Jetton master address in any form. - **direction** (string, query, optional): Direction of transfer. *Note:* applied only with owner_address. - **start_utime** (string, query, optional): Query transactions with generation UTC timestamp **after** given timestamp. - **end_utime** (string, query, optional): Query transactions with generation UTC timestamp **before** given timestamp. - **start_lt** (string, query, optional): Query transactions with `lt >= start_lt`. - **end_lt** (string, query, optional): Query transactions with `lt <= end_lt`. - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. - **sort** (string, query, optional): Sort transactions by lt. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/jetton/transfers?owner_address=value&jetton_wallet=value&jetton_master=value&direction=value&start_utime=value&end_utime=value&start_lt=value&end_lt=value&limit=value&offset=value&sort=value" ``` ``` -------------------------------- ### GET /api/v3/walletStates Source: https://toncenter.com/api/v3/doc.json Query wallet information ```markdown ### Parameters - **address** (string, query, required): List of addresses in any form. Maximum 1000 addresses allowed. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/walletStates?address=value" ``` ``` -------------------------------- ### GET /api/v3/vesting Source: https://toncenter.com/api/v3/doc.json Get vesting contracts by specified filters ```markdown ### Parameters - **contract_address** (string, query, optional): Vesting contract address in any form. Max: 1000. - **wallet_address** (string, query, optional): Wallet address to filter by owner or sender. Max: 1000. - **check_whitelist** (string, query, optional): Check if wallet address is in whitelist. - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/vesting?contract_address=value&wallet_address=value&check_whitelist=value&limit=value&offset=value" ``` ``` -------------------------------- ### GET /api/v3/transactions Source: https://toncenter.com/api/v3/doc.json Get transactions by specified filter. ```markdown ### Parameters - **workchain** (string, query, optional): Block workchain. - **shard** (string, query, optional): Block shard id. Must be sent with *workchain*. Example: `8000000000000000`. - **seqno** (string, query, optional): Block block seqno. Must be sent with *workchain* and *shard*. - **mc_seqno** (string, query, optional): Masterchain block seqno. - **account** (string, query, optional): List of account addresses to get transactions. Can be sent in hex, base64 or base64url form. - **exclude_account** (string, query, optional): Exclude transactions on specified account addresses. - **hash** (string, query, optional): Transaction hash. - **lt** (string, query, optional): Transaction lt. - **start_utime** (string, query, optional): Query transactions with generation UTC timestamp **after** given timestamp. - **end_utime** (string, query, optional): Query transactions with generation UTC timestamp **before** given timestamp. - **start_lt** (string, query, optional): Query transactions with `lt >= start_lt`. - **end_lt** (string, query, optional): Query transactions with `lt <= end_lt`. - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. - **sort** (string, query, optional): Sort transactions by lt. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/transactions?workchain=value&shard=value&seqno=value&mc_seqno=value&account=value&exclude_account=value&hash=value<=value&start_utime=value&end_utime=value&start_lt=value&end_lt=value&limit=value&offset=value&sort=value" ``` ``` -------------------------------- ### GET /api/v3/accountStates Source: https://toncenter.com/api/v3/doc.json Query account states ```markdown ### Parameters - **address** (string, query, required): List of addresses in any form. Maximum 1000 addresses allowed. - **include_boc** (string, query, optional): Include code and data BOCs. Default: true ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/accountStates?address=value&include_boc=value" ``` ``` -------------------------------- ### GET /api/v3/messages Source: https://toncenter.com/api/v3/doc.json Get messages by specified filters. ```markdown ### Parameters - **msg_hash** (string, query, optional): Message hash. Acceptable in hex, base64 and base64url forms. - **body_hash** (string, query, optional): Hash of message body. - **source** (string, query, optional): The source account address. Can be sent in hex, base64 or base64url form. Use value `null` to get external messages. - **destination** (string, query, optional): The destination account address. Can be sent in hex, base64 or base64url form. Use value `null` to get log messages. - **opcode** (string, query, optional): Opcode of message in hex or signed 32-bit decimal form. - **start_utime** (string, query, optional): Query messages with `created_at >= start_utime`. - **end_utime** (string, query, optional): Query messages with `created_at >= start_utime`. - **start_lt** (string, query, optional): Query messages with `created_lt >= start_lt`. - **end_lt** (string, query, optional): Query messages with `created_lt <= end_lt`. - **direction** (string, query, optional): Direction of message. - **exclude_externals** (string, query, optional): Exclude external messages. - **only_externals** (string, query, optional): Return only external messages. - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. - **sort** (string, query, optional): Sort transactions by lt. If set to `desc`, you better set `start_lt = 1` to get latest messages. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/messages?msg_hash=value&body_hash=value&source=value&destination=value&opcode=value&start_utime=value&end_utime=value&start_lt=value&end_lt=value&direction=value&exclude_externals=value&only_externals=value&limit=value&offset=value&sort=value" ``` ``` -------------------------------- ### GET /api/v3/jetton/burns Source: https://toncenter.com/api/v3/doc.json Get Jetton burns by specified filters ```markdown ### Parameters - **address** (string, query, optional): Address of jetton wallet owner in any form. Max 1000 - **jetton_wallet** (string, query, optional): Jetton wallet address in any form. Max: 1000. - **jetton_master** (string, query, optional): Jetton master address in any form. - **start_utime** (string, query, optional): Query transactions with generation UTC timestamp **after** given timestamp. - **end_utime** (string, query, optional): Query transactions with generation UTC timestamp **before** given timestamp. - **start_lt** (string, query, optional): Query transactions with `lt >= start_lt`. - **end_lt** (string, query, optional): Query transactions with `lt <= end_lt`. - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. - **sort** (string, query, optional): Sort transactions by lt. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/jetton/burns?address=value&jetton_wallet=value&jetton_master=value&start_utime=value&end_utime=value&start_lt=value&end_lt=value&limit=value&offset=value&sort=value" ``` ``` -------------------------------- ### GET /api/v3/metadata Source: https://toncenter.com/api/v3/doc.json Query address metadata ```markdown ### Parameters - **address** (string, query, required): List of addresses in any form to get address metadata. Max: 1024. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/metadata?address=value" ``` ``` -------------------------------- ### POST /api/v3/runGetMethod Source: https://toncenter.com/api/v3/doc.json Run get method of smart contract. Stack supports only `num`, `cell` and `slice` types: ``` [ { "type": "num", "value": "0x12a" }, { "type": "cell", "value": "te6..." // base64 encoded boc with cell }, { "type": "slice", "value": "te6..." // base64 encoded boc with slice } ] ``` ```markdown ### Parameters - **request** (V2RunGetMethodRequest, body, required): Run Get-method request ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X POST "https://api.example.com/api/v3/runGetMethod" ``` ``` -------------------------------- ### GET /api/v3/nft/items Source: https://toncenter.com/api/v3/doc.json Get NFT items by specified filters ```markdown ### Parameters - **address** (string, query, optional): NFT item address in any form. Max: 1000. - **owner_address** (string, query, optional): Address of NFT item owner in any form. Max: 1000. - **collection_address** (string, query, optional): Collection address in any form. - **index** (string, query, optional): Index of item for given collection. Max: 1000. - **include_on_sale** (string, query, optional): Include nft on sales and auctions. Used only when owner_address is passed - **sort_by_last_transaction_lt** (string, query, optional): Sort NFT items by last transaction lt descending. **Warning:** results may be inconsistent during pagination with limit and offset. - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/nft/items?address=value&owner_address=value&collection_address=value&index=value&include_on_sale=value&sort_by_last_transaction_lt=value&limit=value&offset=value" ``` ``` -------------------------------- ### GET /api/v3/pendingTransactions Source: https://toncenter.com/api/v3/doc.json Get pending transactions by specified filter. ```markdown ### Parameters - **account** (string, query, optional): List of account addresses to get transactions. Can be sent in hex, base64 or base64url form. - **trace_id** (string, query, optional): Find transactions by trace id. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/pendingTransactions?account=value&trace_id=value" ``` ``` -------------------------------- ### GET /api/v3/addressBook Source: https://toncenter.com/api/v3/doc.json Query address book ```markdown ### Parameters - **address** (string, query, required): List of addresses in any form to get address book. Max: 1024. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/addressBook?address=value" ``` ``` -------------------------------- ### GET /api/v3/multisig/orders Source: https://toncenter.com/api/v3/doc.json Get multisig orders by specified filters ```markdown ### Parameters - **address** (string, query, optional): Order address in any form. Max: 1024. - **multisig_address** (string, query, optional): Address of corresponding multisig. Max: 1024. - **parse_actions** (string, query, optional): Parser order actions - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. - **sort** (string, query, optional): Sort orders by last_transaction_lt. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/multisig/orders?address=value&multisig_address=value&parse_actions=value&limit=value&offset=value&sort=value" ``` ``` -------------------------------- ### GET /api/v3/nft/collections Source: https://toncenter.com/api/v3/doc.json Get NFT collections by specified filters ```markdown ### Parameters - **collection_address** (string, query, optional): Collection address in any form. Max: 1024. - **owner_address** (string, query, optional): Address of collection owner in any form. Max: 1024. - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/nft/collections?collection_address=value&owner_address=value&limit=value&offset=value" ``` ``` -------------------------------- ### GET /api/v3/multisig/wallets Source: https://toncenter.com/api/v3/doc.json Get multisig contracts by specified filters with associated orders ```markdown ### Parameters - **address** (string, query, optional): Multisig contract address in any form. Max: 1024. - **wallet_address** (string, query, optional): Address of signer or proposer wallet in any form. Max: 1024. - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. - **sort** (string, query, optional): Sort multisigs by last_transaction_lt. - **include_orders** (string, query, optional): Gather multisig orders ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/multisig/wallets?address=value&wallet_address=value&limit=value&offset=value&sort=value&include_orders=value" ``` ``` -------------------------------- ### GET /api/v3/walletInformation Source: https://toncenter.com/api/v3/doc.json Get wallet smart contract information. The following wallets are supported: `v1r1`, `v1r2`, `v1r3`, `v2r1`, `v2r2`, `v3r1`, `v3r2`, `v4r1`, `v4r2`, `v5beta`, `v5r1`. In case the account is not a wallet error code 409 is returned. ```markdown ### Parameters - **address** (string, query, required): Account address in any form. - **use_v2** (string, query, optional): Use method from api/v2. Not recommended ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/walletInformation?address=value&use_v2=value" ``` ``` -------------------------------- ### GET /api/v3/topAccountsByBalance Source: https://toncenter.com/api/v3/doc.json Get list of accounts sorted descending by balance. ```markdown ### Parameters - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/topAccountsByBalance?limit=value&offset=value" ``` ``` -------------------------------- ### GET /api/v3/masterchainBlockShardState Source: https://toncenter.com/api/v3/doc.json Get masterchain block shard state. Same as /api/v2/shards. ```markdown ### Parameters - **seqno** (string, query, required): Masterchain block seqno. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/masterchainBlockShardState?seqno=value" ``` ``` -------------------------------- ### GET /api/v3/masterchainBlockShards Source: https://toncenter.com/api/v3/doc.json Returns all worchain blocks, that appeared after previous masterchain block. ```markdown ### Parameters - **seqno** (string, query, required): Masterchain block seqno. - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/masterchainBlockShards?seqno=value&limit=value&offset=value" ``` ``` -------------------------------- ### GET /api/v3/blocks Source: https://toncenter.com/api/v3/doc.json Returns blocks by specified filters. ```markdown ### Parameters - **workchain** (string, query, optional): Block workchain. - **shard** (string, query, optional): Block shard id. Must be sent with *workchain*. Example: `8000000000000000`. - **seqno** (string, query, optional): Block block seqno. Must be sent with *workchain* and *shard*. - **root_hash** (string, query, optional): Block root hash. - **file_hash** (string, query, optional): Block file hash. - **mc_seqno** (string, query, optional): Masterchain block seqno - **start_utime** (string, query, optional): Query blocks with generation UTC timestamp **after** given timestamp. - **end_utime** (string, query, optional): Query blocks with generation UTC timestamp **before** given timestamp. - **start_lt** (string, query, optional): Query blocks with `lt >= start_lt`. - **end_lt** (string, query, optional): Query blocks with `lt <= end_lt`. - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. - **sort** (string, query, optional): Sort results by UTC timestamp. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/blocks?workchain=value&shard=value&seqno=value&root_hash=value&file_hash=value&mc_seqno=value&start_utime=value&end_utime=value&start_lt=value&end_lt=value&limit=value&offset=value&sort=value" ``` ``` -------------------------------- ### GET /api/v3/nft/sales Source: https://toncenter.com/api/v3/doc.json Get GetGems NFT sales and auctions by sale/auction contract addresses ```markdown ### Parameters - **address** (string, query, required): Sale or auction contract address in any form. Max: 1000. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/nft/sales?address=value" ``` ``` -------------------------------- ### GET /api/v3/nft/transfers Source: https://toncenter.com/api/v3/doc.json Get transfers of NFT items by specified filters ```markdown ### Parameters - **owner_address** (string, query, optional): Address of NFT owner in any form. Max 1000 - **item_address** (string, query, optional): Address of NFT item in any form. Max: 1000. - **collection_address** (string, query, optional): Collection address in any form. - **direction** (string, query, optional): Direction of transfer. - **start_utime** (string, query, optional): Query transactions with generation UTC timestamp **after** given timestamp. - **end_utime** (string, query, optional): Query transactions with generation UTC timestamp **before** given timestamp. - **start_lt** (string, query, optional): Query transactions with `lt >= start_lt`. - **end_lt** (string, query, optional): Query transactions with `lt <= end_lt`. - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. - **sort** (string, query, optional): Sort transactions by lt. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/nft/transfers?owner_address=value&item_address=value&collection_address=value&direction=value&start_utime=value&end_utime=value&start_lt=value&end_lt=value&limit=value&offset=value&sort=value" ``` ``` -------------------------------- ### GET /api/v3/adjacentTransactions Source: https://toncenter.com/api/v3/doc.json Get parent and/or children for specified transaction. ```markdown ### Parameters - **hash** (string, query, optional): Transaction hash. - **direction** (string, query, optional): Direction of message. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/adjacentTransactions?hash=value&direction=value" ``` ``` -------------------------------- ### GET /api/v3/transactionsByMessage Source: https://toncenter.com/api/v3/doc.json Get transactions whose inbound/outbound message has the specified hash. \ ```markdown ### Parameters - **msg_hash** (string, query, optional): Message hash. Acceptable in hex, base64 and base64url forms. - **body_hash** (string, query, optional): Hash of message body. - **opcode** (string, query, optional): Opcode of message in hex or signed 32-bit decimal form. - **direction** (string, query, optional): Direction of message. - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/transactionsByMessage?msg_hash=value&body_hash=value&opcode=value&direction=value&limit=value&offset=value" ``` ``` -------------------------------- ### GET /api/v3/decode Source: https://toncenter.com/api/v3/doc.json Decode opcodes and message bodies. Opcodes can be in hex (with or without 0x prefix) or decimal format. Bodies should be in base64 or hex format. ```markdown ### Parameters - **opcodes** (string, query, optional): List of opcodes to decode (hex or decimal) - **bodies** (string, query, optional): List of message bodies to decode (base64 or hex) ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/decode?opcodes=value&bodies=value" ``` ``` -------------------------------- ### GET /api/v3/transactionsByMasterchainBlock Source: https://toncenter.com/api/v3/doc.json Returns transactions from masterchain block and from all shards. ```markdown ### Parameters - **seqno** (string, query, required): Masterchain block seqno. - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. - **sort** (string, query, optional): Sort transactions by lt. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/transactionsByMasterchainBlock?seqno=value&limit=value&offset=value&sort=value" ``` ``` -------------------------------- ### POST /api/v3/decode Source: https://toncenter.com/api/v3/doc.json Decode opcodes and message bodies. Opcodes can be in hex (with or without 0x prefix) or decimal format. Bodies should be in base64 or hex format. Use POST method for long parameters that may be truncated in GET requests. ```markdown ### Parameters - **request** (DecodeRequest, body, required): Decode request ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X POST "https://api.example.com/api/v3/decode" ``` ``` -------------------------------- ### GET /api/v3/dns/records Source: https://toncenter.com/api/v3/doc.json Query DNS records by specified filters. Currently .ton and .t.me DNS are supported. ```markdown ### Parameters - **wallet** (string, query, optional): Wallet address in any form. DNS records that contain this address in wallet category will be returned. - **domain** (string, query, optional): Domain name to search for. DNS records with this exact domain name will be returned. - **limit** (string, query, optional): Limit number of queried rows. Use with *offset* to batch read. - **offset** (string, query, optional): Skip first N rows. Use with *limit* to batch read. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X GET "https://api.example.com/api/v3/dns/records?wallet=value&domain=value&limit=value&offset=value" ``` ``` -------------------------------- ### POST /api/v3/estimateFee Source: https://toncenter.com/api/v3/doc.json Estimate fees required for query processing. Fields body, init-code and init-data accepted in serialized format (b64-encoded). ```markdown ### Parameters - **request** (V2EstimateFeeRequest, body, required): Estimate fee request. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X POST "https://api.example.com/api/v3/estimateFee" ``` ``` -------------------------------- ### POST /api/v3/message Source: https://toncenter.com/api/v3/doc.json Send an external message to the TON network. ```markdown ### Parameters - **boc** (V2SendMessageRequest, body, required): Message in boc base64 format. ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request ### Example Usage ```bash curl -X POST "https://api.example.com/api/v3/message" ``` ``` -------------------------------- ### API Overview: TON Index (Go) Source: https://toncenter.com/api/v3/doc.json TON Index collects data from a full node to PostgreSQL database and provides convenient API to an indexed blockchain. ```yaml # TON Index (Go) # Version: 1.2.6 TON Index collects data from a full node to PostgreSQL database and provides convenient API to an indexed blockchain. # Base URL: Not specified ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.